Cantera 2.6.0

Classes | Namespaces | Typedefs
RxnRates.h File Reference
`#include "cantera/kinetics/reaction_defs.h"`
`#include "cantera/kinetics/Arrhenius.h"`
`#include "cantera/kinetics/PlogRate.h"`
`#include "MultiRate.h"`
`#include "cantera/base/Array.h"`
`#include "cantera/base/ctexceptions.h"`
`#include "cantera/base/global.h"`
Include dependency graph for RxnRates.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Arrhenius2
| Arrhenius reaction rate type depends only on temperature. More...
class | SurfaceArrhenius
| An Arrhenius rate with coverage-dependent terms. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Typedefs
typedef Arrhenius2 | Arrhenius
typedef PlogRate | Plog

## Detailed Description

Deprecated:
  To be removed after Cantera 2.6. See class Cantera::ReactionRate and derived classes for new reaction rate handlers.

Definition in file RxnRates.h.